Bug 733786 - Custom fence device not documented/mentioned
Summary: Custom fence device not documented/mentioned
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Cluster_Administration
Version: 6.1
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Steven J. Levine
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 20:56 UTC by amedeo
Modified: 2016-04-26 15:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-19 20:25:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description amedeo 2011-08-26 20:56:06 UTC
I was able to write custom script/program to fence and unfence node in the cluster, simply by putting this script on /usr/sbin directory and calling from cluster suite by agent=fence_foo parameter (full path /usr/sbin/fence_foo). But on documentation this functionality isn't reported. It's possible to document this capabilities?

Best Regards
amedeo

Comment 2 Steven J. Levine 2011-08-26 21:20:33 UTC
Perry, Lon, Sayan:

I'm not sure whether we want to be documenting custom fencing scripts. Any thoughts or input?  It won't make 6.2, in any case, but I don't know where to take this.

-Steven

Comment 3 Steven J. Levine 2011-08-26 21:38:55 UTC
Moving this to 6.3 for now until we can determine whether this is something we want to document. But, as noted, it won't be ready for 6.2.

Comment 4 Perry Myers 2011-08-26 21:44:24 UTC
We do not support users adding custom fencing scripts to RHEL HA clusters, so while it is theoretically possible to make this work (as Comment #0 indicates), it would not make sense to document something that we don't yet support.

One of the issues with adding a fence device in the way described above is that we maintain a rng schema that is used to validate the cluster.conf file, and adding a new fence agent would require the scheme to be updated, which cannot be done dynamically or by an end user

The proper way to handle a new fence agent is to introduce the new agent upstream, and submit a feature request to bring it into RHEL and be supported.

Sayan, do you agree or disagree with this analysis?  I'll defer to you here.

Comment 5 Steven J. Levine 2012-01-03 17:27:24 UTC
Pinging Sayan on this: I'd like to close this out as part of RHEL 6.3 planning, but I'm waiting for your response to Perry's Comment#4.

Comment 6 Steven J. Levine 2012-04-13 22:15:36 UTC
Moving this to 6.4 -- I'm pretty certain we are going to close it as WONTFIX based on the discussion, but it's still in NEEDINFO based on Perry's question to Sayan in Comment 4. So for administrative reasons (we're up against 6.3 beta and this appears as a ping) I'm just moving it ahead.

But, as noted, I'm pretty certain we just won't be adding this information to the cluster administration document, but I won't officially close it without the sign-off of agreement on that course of action.

Comment 7 Steven J. Levine 2012-10-19 20:25:39 UTC
Closing this as WONTFIX, since we don't support users adding custom fencing scripts to RHEL HA clusters.


Note You need to log in before you can comment on or make changes to this bug.